ServerRoot /etc/apache2

ServerTokens Prod
ServerName localhost
ServerSignature Off

<IfModule dir_module>
    DirectoryIndex index.php index.html
</IfModule>

ErrorLog /dev/stderr

LoadModule rewrite_module modules/mod_rewrite.so

LoadModule remoteip_module modules/mod_remoteip.so
<IfModule remoteip_module>
    RemoteIPHeader X-Forwarded-For
    RemoteIPTrustedProxy 10.0.0.0/8
    RemoteIPTrustedProxy 172.16.0.0/12
    RemoteIPTrustedProxy 192.168.0.0/16
    RemoteIPTrustedProxy 169.254.0.0/16
    RemoteIPTrustedProxy 127.0.0.0/8
</IfModule>

LoadModule logio_module modules/mod_logio.so
<IfModule log_config_module>
    <IfModule logio_module>
        # redefine the logformat - use %a instead of %h, to log the real IP address
        LogFormat "%{%F %T.}t%{usec_frac}t%{%z}t %v:%p %a %l %u \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" vhost_combined
        LogFormat "%{%F %T.}t%{usec_frac}t%{%z}t %a %l %u \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" combined
        LogFormat "%{%F %T.}t%{usec_frac}t%{%z}t %a %l %u \"%r\" %>s %O" common
    </IfModule>

    CustomLog /dev/stdout vhost_combined
</IfModule>

<Directory /var/www>
    Options FollowSymLinks
	AllowOverride None
	Require all granted
</Directory>

LoadModule deflate_module modules/mod_deflate.so
